For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a bank statement PDF
      • GETRetrieve a bank statement
      • GETRetrieve the extraction results
      • GETList all bank statements
      • DELDeletes a bank statement
      • POSTQuickly extract account holder, institution and first account
LogoLogo
Legacy DocsSign in
API ReferenceBank Statements

Quickly extract account holder, institution and first account

POST
https://api.ntropy.com/v3/bank_statements/:id/verify
POST
/v3/bank_statements/:id/verify
$curl -X "POST" \
> "https://api.ntropy.com/v3/bank_statements/7f8dceac-2848-472d-b5c3-55cdbaf35a9b/verify" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "institution": "Well's Fargo",
3 "start_date": "2024-01-01",
4 "end_date": "2024-02-01",
5 "account_holder": {
6 "type": "consumer",
7 "name": "John Doe",
8 "address": {
9 "street": "601 Rosebud Avenue",
10 "postcode": "77901",
11 "city": "Victoria",
12 "state": "Texas",
13 "country": "United States"
14 }
15 },
16 "accounts": [
17 {
18 "type": "checking",
19 "number": "83721",
20 "opening_balance": 1000,
21 "closing_balance": 1500,
22 "iso_currency_code": "USD"
23 }
24 ]
25}

Extracts account holder, bank and account information extracted from the first page of the bank statement, which is typically available before the full results. This is a synchronous call.

Complete guide: Fast verification

Was this page helpful?
Previous

Retrieve an entity

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
institutionstring or null
start_datedate or null
end_datedate or null
account_holderobject or null
accountslist of objects or null

Errors

404
Not Found Error
422
Unprocessable Entity Error